--- db-18.1.25/test/tcl/parallel.tcl
+++ db-18.1.25/test/tcl/parallel.tcl
@@ -296,17 +296,26 @@
 			    [eval glob -nocomplain {$dir/$buildpath/db_{reptest,repsite,replicate}$EXE}] \
 			    $destdir/$buildpath}
 		}
+		catch {
+			set l [eval glob {$dir/.libs} {$dir/db_{checkpoint,deadlock}$EXE} \
+					{$dir/db_{dump,load,printlog,recover,stat,upgrade}$EXE} \
+					{$dir/db_{archive,verify,hotbackup,log_verify}$EXE}]
+			foreach fn $l {
+				set fbasename [file tail $fn]
+				eval file link {$destdir/$fbasename} $fn
+			}
+		}
+		# we will be modifying this file, so we must copy, not link
 		catch {eval file copy \
-		    [eval glob {$dir/{.libs,include.tcl}}] $destdir}
+		    [eval glob {$dir/include.tcl}] $destdir}
 		# catch {eval file copy $dir/$queuedir $destdir}
-		catch {eval file copy \
-		    [eval glob {$dir/db_{checkpoint,deadlock}$EXE} \
-		    {$dir/db_{dump,load,printlog,recover}$EXE} \
-		    {$dir/db_{stat,upgrade,archive,verify}$EXE} \
-		    {$dir/db_{hotbackup,log_verify,tuner}$EXE}] \
-		    $destdir}
-		catch {eval file copy \
-		    [eval glob -nocomplain {$dir/db_{reptest,repsite,replicate}$EXE}] $destdir}
+		catch {
+			set l [eval glob -nocomplain {$dir/db_{reptest,repsite,replicate}$EXE}]
+			foreach fn $l {
+				set fbasename [file tail $fn]
+				eval file link {$destdir/$fbasename} $fn
+			}
+		}
 
 		# Create modified copies of include.tcl in parallel
 		# directories so paths still work.
